import AppCard from '@/components/base/AppCard.vue'
import AppContainer from '@/components/base/AppContainer.vue'
import Avatar from '@/components/Avatar.vue'

declare module 'vue' {
  export interface GlobalComponents {
    RouterLink: typeof import('vue-router')['RouterLink']
    RouterView: typeof import('vue-router')['RouterView']
    AppCard: typeof AppCard
    AppContainer: typeof AppContainer
    Avatar: typeof Avatar
  }
}
