import type { IVideoItem, ICourseItem } from '@/types'

export interface HomeInfo {
  banner: IBanner[]
  admission_guide_docs: IDocItem[]
  admission_guide_videos: IVideoItem[]
  learning_map_docs: IDocItem[]
  questions: any
}

export interface IBanner {
  id: string
  title: string
  pv: string
}

export interface IDocItem {
  id: string
  title: string
  pv: string
}

export { IVideoItem, ICourseItem }
