// 视频
export interface IVideoItem {
  id: string
  type: string
  type_name: string
  cover_page: string
  course_name: string
  aliyun_video_id: string
  pv: string
  play_info: object
}

// 课程
export interface ICourseItem {
  id: string
  curriculum_id: string
  weight: string
  status: string
  pv: string
  course_name: string
  course_picture: string
  course_represent: string
  course_lectures: Array<ICourseLecturerItem>
  records_total: number
  course_chapters: ICourseChapters
  star_total: number
  progress: number
}

export interface ICourseChapters {
  big_total: string
  small_total: string
  list: []
}

// 课程老师
export interface ICourseLecturerItem {
  lecturer_name: string
  lecturer_title: string
  lecturer_office: string
}
