import type { RouteRecordRaw } from 'vue-router'
import AppLayout from '@/components/layout/Index.vue'

export const routes: Array<RouteRecordRaw> = [
  {
    path: '/course',
    component: AppLayout,
    children: [
      { path: '', component: () => import('./views/Index.vue') },
      { name: 'courseView', path: 'view/:id', component: () => import('./views/View.vue'), props: true },
      { path: 'publish', component: () => import('./views/Publish.vue') }
    ]
  }
]
